
TYPO3.Flow - Feature # 51676

Status: Under Review Priority: Should have
Author: Patrick Pussar Category: Resource
Created: 2013-09-03 Assigned To:
Updated: 2015-06-13 Due date:
PHP Version: 5.4
Has patch: No
Complexity:
Subject: Support of symlinks for Resources
Description

We are using Typo3.Surf as deployment tool. Surf creates a folder structure with symlinks during the deployment. When creating a
resource (e.g. uploading a file), flow will not use the symlink name (sites/foobar.com/releases/current/Web/...) but the real path
(sites/foobar.com/releases/201309021405/Web/...).

Surf keeps by default 5 releases, so in our case the resources are lost after 5 deployments.

To solve this behavior we need to keep the symlink path instead of the real one in resource entities.

Associated revisions
Revision 64480cd4 - 2013-09-03 21:12 - Patrick Pussar 

[BUGFIX] Published resources don't support symlinks

Fixes an issue with the publication of persistent resources which
resulted in inaccessible resources after a few deployments with
TYPO3.Surf.

TYPO3.Surf heavily relies on symbolic links for pointing to the
currently active release. The key problem was that the symbolic
link which is put into the Web/_Resources folder used an absolute
path (realpath) to the resource file in Data/Persistent/ rather than
a possible symbolic link. This worked fine as long as the actual
directory (previous release) exists, but breaks as soon as old
releases have been removed.

Resolves: #51676
Releases: 2.0, master
Change-Id: I5585a23eb8db414cbce8f181bf7d73d5c41e0bb9

Revision 6d206c1d - 2014-03-02 13:23 - Adrian Föder

[TASK] Resources are published with relative symlinks

Fixes an issue with the publication of persistent resources which
used absolute paths rather than relative paths for generating symbolic
links.

TYPO3.Surf heavily relies on symbolic links for pointing to the
currently active release. The key problem was that the symbolic
link which is put into the Web/_Resources folder used an absolute
path (realpath) to the resource file in Data/Persistent/ rather than
a possible symbolic link. This worked fine as long as the actual
directory (previous release) exists, but breaks as soon as old
releases have been removed.

Resolves: #51676
Resolves: #51809
Releases: master
Change-Id: I2e84cd8f9abd41578a87791813d03e764528feb9

History
#1 - 2013-09-03 14:51 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23555

#2 - 2013-09-03 21:12 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23555

#3 - 2013-09-03 21:35 - Anonymous
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:64480cd47066458bfd9a15a9a10f1760e5a0a3b4.

#4 - 2013-09-12 17:07 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 3 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23783

#5 - 2013-10-22 13:37 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/23783

#6 - 2014-03-02 13:24 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/23783

#7 - 2014-03-04 15:35 - Adrian Föder
- Status changed from Under Review to Resolved

Applied in changeset commit:6d206c1d35324f26e8780fdad80fed466bc9f4e1.

#8 - 2014-05-19 14:57 - Gergana Noncheva-Vassilyeva

Hi,
this fix was reverted in 2.2.0-bata2 besause of some bugs (according to the change log). Is there a new ticket for the fix?
Thanks,
Gergana

#9 - 2014-06-02 17:34 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 1 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/30519

#10 - 2014-08-05 13:00 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http://review.typo3.org/30519

#11 - 2014-08-06 10:04 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http://review.typo3.org/30519

#12 - 2014-08-24 08:23 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http://review.typo3.org/30519

#13 - 2014-12-01 16:56 - Gerrit Code Review

Patch set 1 for branch 2.3 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http://review.typo3.org/34878

#14 - 2014-12-02 11:17 - Gerrit Code Review

Patch set 2 for branch 2.3 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http://review.typo3.org/34878

#15 - 2015-06-13 12:51 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http://review.typo3.org/30519
